#	Perl files are only documentation examples.

%global __perl_provides		%{nil}
%global __perl_requires		%{nil}


Name:		robodoc
Version:	4.99.41
Release:	alt1_3
Summary:	Extract documentation from source code
License:	GPLv3+
Group:		Development/Tools
Source0:	http://rfsber.home.xs4all.nl/Robo/%{name}-%{version}.tar.gz
Patch1:		robodoc-4.99.41-doubleman.patch
URL:		http://rfsber.home.xs4all.nl/Robo/
BuildRequires:	autoconf automake
Source44: import.info


%description
  ROBODoc is a documentation tool (based on the AutoDocs program written
a long time ago by Commodore). It extracts specially formatted comment
headers from the source file and puts them in a separate file. ROBODoc
thus allows you to include the program documentation in the source
code and avoid having to maintain two separate documents.

  ROBODoc can format the documentation in HTML, ASCII, AmigaGuide,
LaTeX, or RTF format. It is even possible to include parts of the
source code with function names that point their the documentation. It
also can create index tables for all your variables, classes,
functions, etc.

  The best feature of ROBODoc is that it works with many languages:
Assembler, C, Perl, LISP, Occam, Tcl/Tk, Pascal, Fortran, shell
scripts, and COBOL, basically any language that supports
comments/remarks.


#-------------------------------------------------------------------------------
%prep
#-------------------------------------------------------------------------------

%setup -q

%patch1 -p 1 -b .doubleman

autoreconf


#-------------------------------------------------------------------------------
%build
#-------------------------------------------------------------------------------

%configure docdir="%{_docdir}/robodoc"
make CFLAGS="${RPM_OPT_FLAGS}" %{?_smp_mflags}

#	Changelog is ISO8859. Convert it to UTF-8.

iconv -f ISO8859-1 -t UTF-8 -o ChangeLog.utf8 ChangeLog
touch -r ChangeLog ChangeLog.utf8
mv ChangeLog.utf8 ChangeLog


#-------------------------------------------------------------------------------
%install
#-------------------------------------------------------------------------------

rm -rf "${RPM_BUILD_ROOT}"

make DESTDIR="${RPM_BUILD_ROOT}" INSTALL="install -p" install

#	Get rid of the installed documentation

rm -rf "${RPM_BUILD_ROOT}%{_docdir}/robodoc"


#-------------------------------------------------------------------------------
%files
#-------------------------------------------------------------------------------

%doc AUTHORS Change* COPYING README Docs/manual.css Docs/manual.html
%doc Examples
%{_bindir}/*
%{_mandir}/man1/*


#-------------------------------------------------------------------------------
%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 4.99.41-alt1_3
- initial fc import

